localeToCharset {utils} | R Documentation

## Select a Suitable Encoding Name from a Locale Name

### Description

This functions aims to find a suitable coding for the locale named, by default the current locale, and if it is a UTF-8 locale a suitable single-byte encoding.

### Usage

    localeToCharset(locale = Sys.getlocale("LC_CTYPE"))

### Arguments

`locale` | character string naming a locale.

### Details

The operation differs by OS. A Windows locale is specified like `"English_United Kingdom.1252"`. The final component gives the codepage, and this defines the encoding.

In the `C` locale the answer will be `"ASCII"`.

### Value

A character vector naming an encoding and possibly a fallback single-encoding, `NA` if unknown.

### Note

The encoding names are those used by `libiconv`, and ought also to work with `glibc` but maybe not with commercial Unixen.

### See Also

`Sys.getlocale`, `iconv`.

### Examples

    localeToCharset()

[Package utils version 3.3.2 Index]